<template>
  <div class="card">
    <div class="card-body">
      <h4
        class="card-title"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : 'txt-left'"
      >
        {{ label }}
      </h4>

      <div class="col-12 pd-0" style="padding: 0">
        <div>
          <div
            v-for="i in row.videos_key"
            :key="'i1' + i"
            :class="i == 0 ? 'hidden' : ''"
            :id="'frm1_' + i"
            class="row col-12"
          >
            <div class="col-11 form-group">
              <input
                id="input"
                class="form-control text-lowercase"
                type="text"
                v-model="row.videos_link[i]"
                v-on:input="onInputChange"
              />
            </div>

            <div class="col-1 form-group">
              <button
                v-if="i != 0"
                type="button"
                class="btn btn-danger btn-md"
                @click="removeOption(i)"
              >
                <i class="fa fa-trash"></i>
              </button>
            </div>
          </div>

          <!-- Add More -->
          <br />
          <div style="text-align: center">
            <button
              type="button"
              class="
                btn btn-success
                waves-effect waves-light
                w-sm
                hacen_algeria
                font-size-15
              "
              @click="addMore()"
            >
              <span class="mdi mdi-plus-circle font-size-17"></span>
              <span> {{ $t("view.addMore") }} </span>
            </button>
          </div>
          <!-- End Add More -->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardMultiInput",
  props: ["label", "videos", "videos_key", "videos_link"],
  data() {
    return {
      row: {
        videos: this.$props.videos,
        videos_key: this.$props.videos_key,
        videos_link: this.$props.videos_link,
      },
    };
  },
  methods: {
    onInputChange() {
      // videos
      for (let i = 1; i <= this.row.videos_key; i++) {
        this.row.videos[i] = this.row.videos_link[i];
      }

      const data = {
        videos: this.row.videos,
        videos_key: this.row.videos_key,
      };
      console.log(data);
      this.$emit("multiChange", data);
    },

    // open form
    addMore() {
      this.row.videos_key++;
    },

    // remote option
    removeOption(i) {
      document.querySelector("#frm1_" + i).remove();
      this.row.videos_link[i] = "";
      this.onInputChange();
    },
  },
};
</script>
